/* typo START */
body {
    font-size: 1.6rem;
}

.text {
    line-height: 1.5;
}

.title-margin {
    margin-bottom: 4rem;
}

[class*='title-'],
.title,
.text h1,
.text h2,
.text h3,
.text h4,
.text h5,
.text h6 {
    font-family: var(--font-almony);
    font-weight: 400;
    font-size: 8rem;
    line-height: 1.1;
}

.title {
    text-transform: capitalize;
}

.title-l,
.text h1 {
    font-size: 12rem;
}

.title-m {
    font-size: 9rem;
}

.title-s,
.text h3 {
    font-size: 8rem;
}

.title-xs,
.text h4 {
    font-size: 7rem;
}

.title-xxs,
.text h5 {
    font-size: 4rem;
}

.title-xxxs,
.text h6 {
    font-size: 2.8rem;
}

.text-xl {
    font-size: 2rem;
    line-height: 1.5;
}

.text-l {
    font-size: 1.8rem;
    line-height: 1.5;
}

.text-s {
    font-size: 1.4rem;
    font-weight: 400;
}

.text-xxs {
    font-weight: 600;
    font-size: 1.2rem;
}

/*.text * + * {
    margin-top: 1rem;
}*/

.text * + h1,
.text * + h2,
.text * + h3 {
    margin-top: 5rem;
}

.text * + h4,
.text * + h5,
.text * + h6 {
    margin-top: 4.5rem;
}

.text * + p {
    margin-top: 3.2rem;
}

.text h1 + p,
.text h2 + p,
.text h3 + p,
.text h1 + strong,
.text h2 + strong,
.text h3 + strong {
    display: block;
    margin-top: 4rem;
}

.text h4 + p,
.text h5 + p,
.text h6 + p,
.text h4 + strong,
.text h5 + strong,
.text h6 + strong {
    display: block;
    margin-top: 2.2rem;
}

.text * + ul {
    margin-top: 2.2rem;
}

.text li {
    display: block;
    padding-left: 2.6rem;
    margin-top: 1.6rem;
    font-weight: 600;
    position: relative;
}

.text li::before {
    content: url(../images/icons/icon-li.svg);
    position: absolute;
    left: 0;
    top: 0;
}

.text p > a {
    display: inline;
    position: relative;
    color: var(--color-blue);
}

.text p > a::after {
    content: '';
    display: block;
    width: 100%;
    height: 0.1rem;
    background: currentColor;
    position: absolute;
    bottom: 0;
    left: 0;
    transition: 0.3s;
}

.text blockquote p {
    padding: 1rem;
    border-left: 0.2rem solid;
    font-weight: 600;
}

.text p + p:has(img) {
    margin-top: 5rem;
}

.text p + p > img {
    border-radius: 1rem;
}

.text .wp-caption-text {
    padding-block: 1.6rem;
    font-size: 1.6rem;
    text-align: right;
    color: var(--color-gray-400);
    margin: 0;
}

.text .wp-caption {
    border-radius: 0 10rem 0 0;
    overflow: hidden;
}

@media (hover: hover) and (pointer: fine) {
    .text p > a:hover::after {
        width: 0;
    }
}

@media screen and (max-width: 1024.9px) {
    body {
        font-size: 1.5rem;
    }

    .title-margin {
        margin-bottom: 3rem;
    }

    .title {
        text-align: center;
    }

    .title-l,
    .text h1 {
        font-size: 9.5rem;
    }

    .title,
    .text h2 {
        font-size: 6.6rem;
    }

    .title-m {
        font-size: 6.6rem;
    }

    .title-s,
    .text h3 {
        font-size: 6.6rem;
    }

    .text h4,
    .title-xs {
        font-size: 5.5rem;
    }

    .text h5, 
    .title-xxs {
        font-size: 3.4rem;
    }

    .text-xl {
        font-size: 1.9rem;
    }

    .text-l {
        font-size: 1.7rem;
    }

    .text p + p:has(img),
    .text * + h1, 
    .text * + h2, 
    .text * + h3 {
        margin-top: 6rem;
    }
}

@media screen and (max-width: 575.9px) {
    body {
        font-size: 1.4rem;
    }


    .text h1,
    .title-l {
        font-size: 7rem;
    }

    .text h2,
    .title {
        font-size: 5.2rem;
    }

    .title-m {
        font-size: 5.2rem;
    }

    .title-s,
    .text h3 {
        font-size: 5.2rem;
    }

    .text h4,
    .title-xs {
        font-size: 4rem;
    }

    .title-xxs,
    .text h5 {
        font-size: 2.8rem;
    }

    .text-xl {
        font-size: 1.8rem;
    }

    .text-l {
        font-size: 1.6rem;
    }


    .text p + p:has(img),
    .text * + h1, 
    .text * + h2, 
    .text * + h3 {
        margin-top: 4rem;
    }

    .text h1 + p, 
    .text h2 + p, 
    .text h3 + p {
        margin-top: 2rem;
    }

    .text h4 + p,
    .text h5 + p,
    .text h6 + p,
    .text h4 + strong,
    .text h5 + strong,
    .text h6 + strong {
        margin-top: 2.4rem;
    }

    .text * + p {
        margin-top: 2.4rem;
    }

    .text .wp-caption {
        border-radius: 0 6rem 0 0;
    }
}
/* typo END */